Subject: RE: Looks like Cygwin don't close sometimes event descriptors
From: "Ivan Begtin" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 21 Sep 2001 16:33:22 +0400

Hi again, thanks for fast reply.

I use W2K Prof and still haven't tried this scenario with 1.3.3. 
As I remember I had same problem with v1.1.7 then I ported multithreaded
program to Cygwin. 
Process Explorer (HandleEx in past) don't show their names, just number.
Console utility handle show them but also without names.

Ivan

-----Original Message-----
From: egor duda [mailto:[email-masked]]
Sent: Friday, September 21, 2001 4:11 PM
To: Ivan Begtin
Cc: [email-masked]
Subject: Re: Looks like Cygwin don't close sometimes event descriptors

Hi!

Friday, 21 September, 2001 Ivan Begtin [email-masked] wrote:

IB>   I am using cygwin v1.3.2 for now and I've tried to compile
net-snmp
IB> v4.2.1with cygwin.

have you tried this scenario with 1.3.3? what OS are you using?

IB> Started snmpd.exe.
IB>   When I launched "snmpwalk localhost public" number of descriptors
used
IB> by snmpd.exe immediately growed
IB>   So after starting "snmpwalk localhost public" in simple cycle.
Number
IB> of descriptors reached 12000 (or more) and they all were open long
time
IB> (until i stopped snmpd.exe).
IB>   Launching handle.exe form http://www.sysinternals.com shows that
most
IB> of open descriptors are Events. 
IB>   Well, I just want to know is it bug or it's normal and shouldn't
be a
IB> problem? 

and by launching HandleEx from sysinternals you've found that their
names are ...?

it's clearly a bug, though it's not clear yet whether it's cygwin of
snmpd bug.

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/